#-----------------------------------------------------------
#to define the revision numer
%define revision %(R="$Revision: 2.1.0.320 $"; RR="${R##: }"; echo ${RR%% ?})
%define rversion %(echo %{revision} | cut -d'.' -f1-2)
%define subversion %(echo %{revision}| cut -d'.' -f4)
#-----------------------------------------------------------
#to define locmark according RPM builder
%{?!mark:%define mark fedora}

%if "%mark" == "fedora"
%define locmark %{dist}
%endif

%if "%mark" == "safe"
%define locmark .%{dist}.%{mark}
%endif
#-----------------------------------------------------------
#Standard spec file
#-----------------------------------------------------------
Name: clement
Version: %{rversion}.%{subversion}
Release: 6%{?locmark}
URL: http://www.clement.safe.ca
License: GPLv2
Summary: An application to filter and manage E-mail traffic
Group: System Environment/Daemons
Source: ftp://ftp.safe.ca/pub/srctgz/%{name}-%{version}.tar.gz

buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: byacc
BuildRequires: openssl-devel,bzip2-devel,gmp-devel,glibc-devel,pam-devel
%if "%mark" == "fedora"
Requires: clamav-server
%else
Requires: clamd
%endif
Requires: perl-Crypt-PasswdMD5
Requires: iptables, php
Requires(post): chkconfig, initscripts
Requires(preun): chkconfig, initscripts
Requires(pre): /usr/sbin/useradd, /usr/sbin/groupadd

%description
Clement is an email firewall. Its purpose is to filter all email, 
rejecting viruses and unwelcome messages at the SMTP protocol level 
(and avoids bouncing to forged originators).

Clement extracts "email sending contexts" and can use a remote mentor 
process to further analyze message context while still connected to the 
remote sender process.

%prep

%setup -q

%build
%{?_smp_mflags:%define _smp_mflags -j `/usr/bin/getconf _NPROCESSORS_ONLN`}
%{__make} OPTIMIZE_FLAGS="$RPM_OPT_FLAGS" -s %{?_smp_mflags} prod

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%if "%mark" == "safe"
install -dm 755 %{buildroot}/%{_sysconfdir}/yum.repos.d
cat > %{buildroot}/%{_sysconfdir}/yum.repos.d/%{name}.repo << !EOT
[clement]
name=SAFE clement "An SMTP firewall" - Released Updates
baseurl=ftp://ftp.safe.ca/pub/linux/%{ddist}/\$releasever/%{name}/\$basearch/
enabled=1
gpgcheck=1
gpgkey=ftp://ftp.safe.ca/gpgkey/RPM-GPG-KEY-SAFE-CLEMENT-2006
!EOT
%endif

%clean 
%{__rm} -rf %{buildroot}


%post
if [ "$1" = 1 ]; then
  /sbin/chkconfig --add %{name} 2>/dev/null || :
  fi
if [ "$1" = 2 ]; then
  if [ -f /var/lock/subsys/%{name} ] ; then
    %{_initrddir}/%{name} restart 2>/dev/null || :
    fi
  fi

%pre 
if [ "$1" = 1 ]; then
  /usr/sbin/groupadd -r %{name} 2>/dev/null || :
  /usr/sbin/useradd -r -M -d /var/spool/%{name}-%{rversion} \
        -g %{name} -c "Clement daemon" \
        -s /sbin/nologin %{name} 2>/dev/null || :
  fi

%preun 
if [ "$1" = 0 ]; then
  if [ -f /var/lock/subsys/%{name} ] ; then
    %{_initrddir}/%{name} stop 2>/dev/null || :
    fi
  export APPNAME=%{name}
  %{_usr}/lib/%{name}-%{rversion}/support/remove.sh \
    %{_sysconfdir}/pki/%{name}-%{rversion}/%{name}.pem \
    %{_sysconfdir}/%{name}-%{rversion}/config.done 2>/dev/null || :
  /sbin/chkconfig --del %{name} 2>/dev/null || :
  (
  /bin/echo -n "$APPNAME has been removed on "; date
  /bin/echo "remaining file in this directory are logs and Emails"
  /bin/echo "created while $APPNAME was in production."
  /bin/echo "these files _may_ be removed too, but that they could"
  /bin/echo "contain valuable data and admin should be careful"
  /bin/echo "when removing them."
  ) > %{_var}/spool/%{name}-%{rversion}/README-%{name}-removed
  fi


%files
%defattr(-,root,root,-)
%{_sysconfdir}/cron.daily/%{name}
%{_usr}/lib/%{name}-%{rversion}/
%{_datadir}/%{name}-%{rversion}/
%{_bindir}/pibsmtp
%{_bindir}/clrquar
%{_bindir}/clxtract

%attr(-,%{name},%{name}) %{_bindir}/%{name}
%attr(-,%{name},%{name}) %{_var}/spool/%{name}-%{rversion}/
%attr(-,%{name},%{name}) %{_var}/crash/%{name}-%{rversion}/
%attr(-,%{name},%{name}) %{_var}/lock/%{name}-%{rversion}/

%doc %{name}-%{version}.build_date
%doc doc/*.txt Changes FAQ LICENCE README

%attr(0755,root,root) %{_initrddir}/%{name}
%attr(-,%{name},%{name}) %config(noreplace) %{_sysconfdir}/%{name}-%{rversion}/
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/pki/%{name}-%{rversion}/trusted.pem
%config(noreplace) %{_sysconfdir}/httpd/conf/%{name}.conf
%if "%mark" == "safe"
%config(noreplace) %{_sysconfdir}/yum.repos.d/%{name}.repo
%endif


%changelog
* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 2.1.320-6
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.320-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 26 2009 Jean-Marc Pigeon <jmp@safe.ca> 2.1.320-4
- adjustement
    * new version to check CVS behavior for Fedora

* Sun Apr 26 2009 Jean-Marc Pigeon <jmp@safe.ca> 2.1.320-1
- Improvement
   * Spec file update to require clamav-server under 
     fedora release while requiring clamd otherwise.

* Fri Apr 24 2009 Jean-Marc Pigeon <jmp@safe.ca> 2.1.318-1
- Improvement
   * Spec file update to generate clement.repo file
   * resolving asprintf warning
   * adding Copyright Notice to PHP and "C" files

* Tue Apr 21 2009 Jean-Marc Pigeon <jmp@safe.ca> 2.1.315-2
- Improvement
    * fine tuning spec file
    * using clamd-0.95.2 to detect virus.

* Sun Apr 19 2009 Jean-Marc Pigeon <jmp@safe.ca> 2.1.314
- Improvement
    * Adjusting Spec file to included within Fedora
      extra packages (version release numbering).

* Sun Mar 1 2009 Jean-Marc Pigeon <jmp@safe.ca> 2.1-312
- Bug Fix for Clement and its WEB interface.
    * Aliases where too limited in number, cause By a line lenght
      hard-coded both in WEB and gesque.c

* Fri Feb 23 2009 Jean-Marc Pigeon <jmp@safe.ca> 2.1-311
- Improvement
    * rcpt <postmaster> without domain qualification is
      now accepted and routed to domain which own
      the local interface.
      Reverse Address MUST be set properly.

* Fri Feb 23 2009 Jean-Marc Pigeon <jmp@safe.ca> 2.1-310
- Improvement
    * Clement is accepting user 'post,aster' and 'abuse'
      regardless mentor stat of mind regarding the originator.
      according:
      Network Working Group             J. Klensin
      Request for Comments: 5321        October 2008
      as interpreted by rfc-ignorant.org

* Fri Feb 06 2009 Jean-Marc Pigeon <jmp@safe.ca> 2.1-309
- Improvement
    * Clement is using clamav-0.94.2 now

* Sat Jun 14 2008 Jean-Marc Pigeon <jmp@safe.ca> 2.1-290
- Improvement
    * Clement is using clamav-0.93.1 now

* Tue May 27 2008 Jean-Marc Pigeon <jmp@safe.ca> 2.1-289
- Marker
    * Production Marker

* Wed May 14 2008 Jean-Marc Pigeon <jmp@safe.ca> 2.1-288
- Improvement
    * adjustement within clement/shell/daily.sh to
      avoid cron warning.

* Sat May 03 2008 Jean-Marc Pigeon <jmp@safe.ca> 2.1-287
- Improvement
    * Compiled with clamav-0.93 libraries

* Sun Apr 06 2008 Jean-Marc Pigeon <jmp@safe.ca> 2.1-280
- Improvement
    * Rejecting to big email received if one of
      recipient can't accept it

* Fri Jan 30 2008 Jean-Marc Pigeon <jmp@safe.ca> 2.1-277
- Improvement
    * added a shell script to remove old mail pending
      within mails/domain.name/user.name/{new,cur}
      clement's directory

* Fri Dec 21 2007 Jean-Marc Pigeon <jmp@safe.ca> 2.1-275
- Improvement
    * clement require now php rather than php-cli

* Tue Dec 18 2007 Jean-Marc Pigeon <jmp@safe.ca> 2.1-274
- Improvement
    * Using Clamav-0.92

* Sat Dec  1 2007 Jean-Marc Pigeon <jmp@safe.ca> 2.1-273
- Improvement
   * web log show the server origin information when
     and E-mail is rejected or delayed.

* Mon Nov 19 2007 Jean-Marc Pigeon <jmp@safe.ca> 2.1-270
- Bug-Fix:
   * Properly receiving E-mail contents if E-mail
     lines are very long and splited by '\r' instead
     of '\n'
- Improvement
   * Scanning E-mail for Spam (spamassassin) only
     if E-mail is smaller than 500K

* Sat Oct 27 2007 Jean-Marc Pigeon <jmp@safe.ca> 2.1-269
- Bug-Fix:
   * Removing Debug trace about WEBGOOD from source

* Fri Oct 26 2007 Jean-Marc Pigeon <jmp@safe.ca> 2.1-268
- Improvement
   * Insert domain definition witin configuration file
     (clement.conf) to set reference to goodmail website.

* Sun Aug 26 2007 Jean-Marc Pigeon <jmp@safe.ca> 2.1-266
-Bug-Fix:
   * "CRLF" was not transmitted in the E-mail data-part,
      causing trouble with FirstClass  server.

* Fri Aug 24 2007 Jean-Marc Pigeon <jmp@safe.ca> 2.1-264
-Improvement:
   * A new process "virus scanner" is now dedicated
     to detect virus, previously each clement iteration
     was doing it. This reduce memory consumption
     a lot

* Thu Aug 22 2007 Jean-Marc Pigeon <jmp@safe.ca> 2.1-258
-Bug-Fix:
   * Closed numeros Memory Leak.

* Thu Jul 19 2007 Jean-Marc Pigeon <jmp@safe.ca> 2.1-256
-Bug-Fix:
   * Do not use CL_DB_PHISHING_URLS flag to scan E-mail
     for viruses.

* Fri Jun 15 2007 Jean-Marc Pigeon <jmp@safe.ca> 2.1-253
-Bug-Fix:
   * Clement was not handling very long line (above 5K)
     coming from some remote SMTP client in E-mail data 
     part. (RFC 2821 say line 1000 bytes long at max 
     for data-part, does it?)

* Mon Apr 19 2007 Jean-Marc Pigeon <jmp@safe.ca> 2.1-251
-Improvement:
   * Initshell (/etc/rc.d/init.d/clement) do check
     if freshclam is up and running anymore. clamav
     signatures library are back refresh via a daemon.

* Mon Apr 18 2007 Jean-Marc Pigeon <jmp@safe.ca> 2.1-250
-Improvement:
   * Initshell (/etc/rc.d/init.d/clement) do not check
     if freshclam is up and running anymore. clamav
     signatures library is now updated via a cron
     process.

* Mon Apr 17 2007 Jean-Marc Pigeon <jmp@safe.ca> 2.1-248
-Improvement:
   * Quarantined E-mail are now embedded within a
     MIME part in a new E-mail.

* Mon Mar 12 2007 Jean-Marc Pigeon <jmp@safe.ca> 2.1-243
-Improvement:
    * added a delay on RSET command reply (answer was
      to quick for Outlook to follow).

* Mon Nov 27 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-241
- Marker:
    * Release
- Bug-Fix:
    * Fixed loop between collectdata and getstream when
      E-mail data-part end abnormalie (not detecting
      stream contents empty).
    * Fixed Email header mist-match when there is no
      '\n' within the received data line, this bug was
      a side effect of 2.1.0.216 bug-fix.
    * Fixed case where header line was longer than
      512 characteres (line is not splitted anymore)
-Improvement:
    * Web log show up difference between delayed E-mail
      and Rejected E-mail.
    * ipc_getpost routine, return the message stamping
       date up to the millisec.

* Mon Sep  3 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-209
- Bug-Fix:
    * Fixed problem about undue relaying, was caused
      by storing relais status within existing user cache.
    * When trying to find hostname ipnumber, local definition
      was not used, such it was impossible to overcome
      "No MX or IP linkable to originator domain" problem

* Tue Aug 22 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-202
- Marker:
    * Spec file adjustement (BuildRequires)

* Fri Aug 18 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-197
- Marker:
    * Inclusion Fedora Extra.

* Tue Aug 15 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-193
- Improvement:
    * Spec file very fine tuning
    * Orphean E-mail are now properly store in the trouble
      queue directory.

* Mon Aug 14 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-192
- Improvement:
    * Adding running user and group clement to comply
      to extras commitee recommendation.
    * Timing change in modtrp.c to have a quicker
      detection (1 sec instead of 5 sec) about
      zombie state child process.
  
* Fri Aug 11 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-186
- Bug-Fix:
    * WEB Interface (PHP), when user changed the 
      working language, page stop to be displayed
      as the CGI was not able to access log file.

* Thu Aug 10 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-184
- bug-Fix
    * Alias definition was crashing when only one
      user was defined without domain.
- Improvement:
    * Clement starting shell (/etc/rc.d/init.d/clement)
      do not define the iptable rule 'clement' if
      no redirection is defined within file iptables.conf.

* Sat Aug  5 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-183
- Improvement:
    * Sorting WEB logs informations is now done by new
      executable name 'clxtract'.
    * WEB logs file are moved from /usr/share/clement-2.1/logs
      to /var/spool/clement-2.1/wlogs

* Wed Jul 26 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-179
- Bug Fix:
    * 'QUARANTINE_LOCAL' variable (clement.conf) was
      not properly read when set as default or 'All_Other_Domains'.

* Tue Jul 25 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-177
- Bug Fix:
    * If 'QUARANTINE_LOCAL' is set to 'No" (clement.conf) and
      a to be quarantined E-mail is aliases to an OUTSIDE
      domain (not known by clement), the process to 
      flag spam inside the E-mail subject was crashing (major).
- Improvement:
    * Spec file, fine fine tuning.

* Thu Jul 11 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-176
    * Further SPECS file fine tunning to be fully compliant
      to Fedora-Extra package guideline.

* Thu Jul  5 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-175
- Bug-Fix:
    * SMTP AUTH command was not working anymore, fixed the 
      CHKID messages format.
    * Fine tuning about SPEC to avoid warning while
      doing rpmbuild. File clembase.php is now named
      clement.php and moved from /var/www/clement-2.1 to
      /etc/clement-2.1.
    WARNING: Previously installed clement MUST be manually
    adjusted!


* Tue Jul  4 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-173
- Improvement:
    * SPAM marker inserted inside the E-mail subject can be adjusted
      according QUARANTINE_HEADER and QUARANTINE_EXTRA within
      the clement.conf file.
    * New clement.conf variable can be now managed via the Clement
      WEB interface.
    * File clement.conf, .domain and .domain are now written
      by clement itself when management is done via the WEB interface
- Bug-Fix:
    * No Zombie process after a user ID check.

* Mon Jun 26 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-171
- Improvement
    * SPEC file clean according rpmlint-0.77-1.fc5

* Thu Jun 22 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-161
- Improvement:
    * Better 'click' addition done to SPAM flagged E-mail
      to advice mentor it is a good E-mail.
      Fix insertion problem when MIME contents type was used.

* Tue Jun 20 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-159
- Bug-Fix:
    * Fixed "CERT Vulnerability Note VU#738331" found
      in unidns.c

- Improvement:
    * Better 'click' addition done to SPAM flagged E-mail
      to advice mentor it is a good E-mail.
      Insertion problem when MIME contents type was used.

* Fri Jun 16 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-158
- Improvement:
    * Quarantine policy (kept local or transmitted to end user)
      can be now decided within clement.conf (can be set
      within binding definition).
    * AT SMTP protocol level, if 'From:' is empty (allowed
      by RFC), 'From:' is set as Mailer_daemon@domainname,
      where 'domainname' is extracted from the helo/ehlo
      command.
      
- Bug-Fix:
    * In case of "RSET" within the SMTP protocol exchange
      session number is now alway updated.
    * Batch procedure 'clrquar' was core-dumping when executed
      (Major bug, created in 2.1-153)

* Wed Jun 14 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-154
- Improvement
    * E-mail set quarantine are now sent to user with
      a special marker within the subject.
    * Quarantine local advice (no Mentor) can have
      a Spam limite set by domaine within clement.conf
      New Keywork 'SPAMLIM'.

- Bug-Fix:
    * Signal are not in "SA_RESTART" mode anymore
      (to avoid loop within waitpid when a SIGALRM
       is received).
    * closed a small memory leak.
    * "Mentor Service" icone was sometime missing when
      user was properly authenticated within Clement
    * Message to Mentor without answer expected have
      now a special reference ID (called ONWAY)

* Mon May 29 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-139
- Marker:
    * Stable release Marker.

* Fri May 26 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-135
- Improvement:
    * Clement smtp server modul is now sending messages
      directly to checker without going to main process.
    * Started to implement the capability to mark
      SPAM email contents.

* Mon May 16 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-133
- Improvement:
    * Clement is now sending 'relaying' flag information
      when sending 'CHKRCPT' and 'RFRESH' message to
      Mentor (is used when checking for remote spammer 
      status).

* Fri May 12 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-131
- Bug-Fix:
    * Long aliases list was not working properly, 
      domain without name were added to the list.

* Wed May  10 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-130
- Marker:
    * Stable release Marker.

* Mon May   8 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-126
- Bug Fix:
    * If (by mistake) the '-Q' file in queue is corrupted
      (no 'from' defined), E-mail is stored in the 
      trblq.
    * Configuration changed to really use the generated
      file 'poprelay', created from the file 'pibsmtp.lst'.
      'poprelay' can/is used by Clement to know about relayed
      IP number.

* Fri May   5 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-125
- Improvement:
    * Clement use now clamav-0.88.2 version
    * clement daily.sh is changed to clean 'trblq' area
      from file older than 20 days.
    * Clement Pop_Before_SMTP is now properly working.

* Wed May   3 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-116
- Improvement:
    * Clement, Aliases are now fully implemented, aliases of
      aliases are possible. Aliases are meaningful only
      with domain set as 'keeplocal'.

* Wed Apr  27 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-115
- Improvement:
    * Clement, when sender is rejecting an E-mail while it
      was accepted by Clement, mail is stored within
      a sender structure with the 'trblq' directory.
      Process continue to send next E-mail within the queue.

* Tue Apr  22 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-114
- Improvement:
    * Clement refuse E-mail at SMTP protocol level, if the
      MAIL FROM: domain address is not resolvable as an
      IP or an MX.
- Improvement:  (version 2.1-113)
    * The waiting for a socket connection is not forever
      anymore but only for 5 second, allowing calling
      program to do checking task time to time.

* Mon Apr  17 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-112
- Bug-Fix:
    * If the subject include a '%' caractere the modtra.c
      can cause a crash (% was inderstood as printf directive).

* Sat Apr  15 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-111
- Bug-Fix:
    * Clement main daemon was crashing when recipient Email
      was given as "<username@mail .ru>"

* Mon Apr  10 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-110
- Improvement:
    * Clement in now integrated with OPenWebMail, 
      Web interface to user creation create all needed
      files and directores to allow dovecot and openwebmail
      to retrieve User E-mail.

* Mon Mar  27 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-108
- Improvement:
    * Mentor improvement to detect Spammer site

* Tue Mar  21 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-103
- Bug fix:
    * clement password change is now working (crypted
      password uppercase letters are kept)

* Wed Mar  15 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-102
- Improvement:
    * Mentor Email count improvement.

* Sun Mar  12 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-100
- Bug-Fix
    * No Core-DUMP when remote sender is not on-line,
      While an E-mail address need to be croschecked.
- Improvement:
    * Better Timer management within gesipc.c

* Mon Mar   6 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-99
- Adding pam-devel as required to build clement from
  src.rpm file.
- Adjusting clement starting shell script such iptables
  configuration use a target named 'clement'

* Thu Mar   2 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-98
- Mentor bug-fix.

* Wed Mar   1 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-97
- Mentor Improvement.

* Mon Feb  27 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-95
- Improvement
  Clement can bind on ANY address for a specific port,
  'binding' directive in clement.conf must have a '*'
  as hostname.
- When remote originator is granted to 'relayable' status
  by Clement, E-mail is transmitted to recipient, regardless
  the spam level detected by spamassassin.

* Thu Feb  23 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-93
- daily.sh was not removing its lock at the end of
  script (Major!, was waiting/locking out next day daily cron)
- 'grep' used in /etc/rc.d/init.d/clement detect
  only "IPT" string as present at the begining of the line.

* Mon Feb  20 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-92
- Clement do not check the domain MX if the domain
  appear within configuretion definition (clement.conf)
- Adding /etc/yum.repos.d/clement.repo to allow
  clement downloading via 'yum'

* Sat Feb  18 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-90
- Changes in Mentor.

* Fri Feb  17 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-89
- Clement can accept email address with a quote (like
  o'brien)
- Better IPC messages recovery processus.
- Mandrake-2006 version, fixed call to clamav virus scanner.
  Doesn't return "virus <Oversized.Zip> found in the E-mail"
  anymore, when a big zipped file attachement is included within
  E-mail.
- Cron Shell script is now executed under ID 'mail'.

* Tue Jan  31 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-84
- Changes in Mentor.

* Mon Jan  30 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-83
- Some "SENT" message un-needed acknowledge were pilling up within
  the IPC area (Major!), causing an IPC bottleneck after a while.
  Then "error in processing" was answered to every mail received.

* Sun Jan  29 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-82
- Relaying stopped to work with 2.1.0.80, (missing code!).
- Variable SMTPSRV within clement.conf is now working.

* Sat Jan  28 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-80
- Better handling if a remote Mentor is not on line
  (clement work then in stand alone mode).
- An 'Error in processing' stop de clement iteration,
  such IPC still messages in the queue can be removed
  cleaning and have other iteration continue to work.

* Thu Jan  26 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-76
- '.' (End of DATA Segment) was not recognize by Firstclass 
  type SMTP daemon, when mail was relayed from clement to 
  internal server.

* Wed Jan  25 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-74
- Event log report the exact return from local SMTP
  server when probing to know if a user is really existing.

* Mon Jan  23 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-72
- Better handling of UNIQID info not transmitted to Mentor
  (Mentor channel is declared but not responding)
- Bux fix in /etc/rc.d/init.d/clement about postfix
  configuration

* Sat Jan  21 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-71
- Under some condition, exiting clement process was sending
  a TERM signal to process '-1' (Arrgh!)
- No need to rely on 'postmaster' E-mail id to double-check
  E-mail relaying condition.

* Fri Jan  21 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-70
- cron-daily check if directores are existing before to
  'cd' to it.

* Fri Jan  20 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-69
- Connection to remote sender is kept longer (5 minutes) in case
  we have further E-mail to transmite
- Multiple connection to same Mentor are seen now as different
  connections as long the CHKCODE is differente, is the CHKCODE
  is the same, only one connection to the remote Mentor is kept open.

* Mon Jan  17 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-68
- Adding release.php in www directory to display the
  propere release number on WEB page
- Better handling in case the remote sender (SENDER
  definition in clement.conf) is not accessible to check
  user ID

* Mon Jan  17 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-66
- clement.conf binding definition was not taking care of
  multiple binding definition (':' separator), only
  the first IP number was used.

* Mon Jan  16 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-65
  /var/crash directory missing from spec definition

* Mon Jan  16 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-64
- clrquar doesn't run as root anymore (change its uid to be
  mail).
- Adjustment within /etc/sysconfig/clement file (options
  become OPTIONS).
- /etc/clement-2.1/iptables.conf fixed
- clement daemon starting shell fixed

* Sat Jan  15 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-61
- Version in production

* Sat Jan  7 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-57
- Further Spec file improvement.
- dispatching Clement components according 'FHS' guidelines.

* Mon Jan  2 2006 Jean-Marc Pigeon <jmp@safe.ca> 2.1-38
- Better relaying handling, clement daemon is able
  make a difference between 'All_Other_Domains' and
  "to be relayed" domain.
- Adjusting Spec file according <jeff@ultimateevil.org>

* Wed Dec 19 2005 Jean-Marc Pigeon <jmp@safe.ca> 2.1-30
- Web interface allow to manage user aliases

* Wed Dec 17 2005 Jean-Marc Pigeon <jmp@safe.ca> 2.1-29
- Checking installation impact with external clamav

* Wed Dec 17 2005 Jean-Marc Pigeon <jmp@safe.ca> 2.1-28
- adjusting SPEC file according rpmlint finding
#-------------------------------------------------------------
